#calendarWidget {
    background: white;
    width: 263px;
    height: 400px;
}

#calendarWidget .fc-toolbar-title {
    font-size: 1.25em !important;
}

#calendarWidget .fc-header-toolbar.fc-toolbar {
    margin-bottom: 0.75em !important;
}

#calendarWidget table[role="presentation"] {
    block-size: 30px;
    width: 100% !important;
}

#calendarWidget .fc-scroller {
    overflow: initial !important;
}

#calendarWidget .fc-daygrid-body.fc-daygrid-body-unbalanced {
    width: 100% !important;
}

#calendarWidget .fc-daygrid-day.fc-day-today {
    background-color: initial;
}

#calendarWidget .fc-daygrid-day-frame {
    justify-items: center;
}

.calendar-fullscreen {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80%;
    height: 80%;
    z-index: 9999;
    background-color: #ffffff;
    box-shadow: 0 10px 25px rgba(0,0,0,0.3);
    border-radius: 12px;
    overflow: auto;
    padding: 20px;
    pointer-events: 'auto';
}

.calendar-fullscreen-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 9999;
    backdrop-filter: blur(4px);
}